﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BullBearCandles
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Series_SymbolRendering(object sender, C1.WPF.Chart.RenderSymbolEventArgs e)
        {
            var dataItem = e.Item as DataItem;
            Brush brush = dataItem.Close > dataItem.Open ? Brushes.Green : Brushes.Red;

            e.Engine.SetFill(brush);
            e.Engine.SetStroke(brush);
        }
    }
    public class ViewModel
    {
        Random rnd = new Random();
        List<DataItem> _data;
        public List<DataItem> Data
        {
            get
            {
                InitData();
                return _data;
            }
        }

        private void InitData()
        {
            var start = DateTime.Now.AddDays(-30);
            _data = new List<DataItem>();

            for(int i = 0; i < 30; i++)
            {
                var low = rnd.Next(i, i+20);
                var high = rnd.Next(low+10, low+40);
                _data.Add(new DataItem
                {
                    Date = start.AddDays(i),
                    High = high,
                    Low = low,
                    Open = rnd.Next(low, high),
                    Close = rnd.Next(low, high)
                });
            }
        }
    }
    public class DataItem
    {
        public DateTime Date { get; set; }
        public double High { get; set; }
        public double Low { get; set; }
        public double Open { get; set; }
        public double Close { get; set; }
    }
}
